Bug 971554 - Review Request: eclipse-egit-github - Eclipse Egit Mylyn Github Connector
Review Request: eclipse-egit-github - Eclipse Egit Mylyn Github Connector
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 15:40 EDT by Neil Brian Guzman
Modified: 2014-01-23 18:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 12:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neil Brian Guzman 2013-06-06 15:40:43 EDT
Spec URL: http://nguzman.fedorapeople.org/eclipse-egit-github.spec
SRPM URL: http://nguzman.fedorapeople.org/eclipse-egit-github-2.3.0-1.fc18.src.rpm
Description: Create task repositories for working with GitHub issues 
and Gist (more info at http://wiki.eclipse.org/EGit/GitHub/UserGuide)
Fedora Account System Username: nguzman
Comment 1 Alexander Kurtakov 2013-06-06 15:54:52 EDT
I'll do this one.
Comment 2 Alexander Kurtakov 2013-06-07 16:43:14 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
*  W: incoherent-version-in-changelog 2.3.0 ['2.3.0-1.fc20', '2.3.0-1'] 
* google-gson copy is shipped, should be replaced with symlink
* eclipse-egit should be added as requires, because it's not auto generated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 307 files have unknown license. Detailed output
     of licensecheck in /home/akurtakov/tmp/971554-eclipse-egit-
     github/licensecheck.txt
Licensecheck doesn't detect EPL.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-egit-github-2.3.0-1.fc20.noarch.rpm
eclipse-egit-github.noarch: W: incoherent-version-in-changelog 2.3.0 ['2.3.0-1.fc20', '2.3.0-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eclipse-egit-github
eclipse-egit-github.noarch: W: incoherent-version-in-changelog 2.3.0 ['2.3.0-1.fc20', '2.3.0-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
eclipse-egit-github (rpmlib, GLIBC filtered):
    osgi(org.eclipse.core.expressions)
    osgi(org.eclipse.core.resources)
    osgi(org.eclipse.core.runtime)
    osgi(org.eclipse.jface.text)
    osgi(org.eclipse.mylyn.commons.core)
    osgi(org.eclipse.mylyn.commons.net)
    osgi(org.eclipse.mylyn.commons.ui)
    osgi(org.eclipse.mylyn.commons.workbench)
    osgi(org.eclipse.mylyn.context.core)
    osgi(org.eclipse.mylyn.monitor.core)
    osgi(org.eclipse.mylyn.resources.ui)
    osgi(org.eclipse.mylyn.tasks.core)
    osgi(org.eclipse.mylyn.tasks.ui)
    osgi(org.eclipse.ui)
    osgi(org.eclipse.ui.forms)
    osgi(org.eclipse.ui.ide)



Provides
--------
eclipse-egit-github:
    eclipse-egit-github
    osgi(com.google.gson)
    osgi(org.eclipse.egit.github.core)
    osgi(org.eclipse.mylyn.github.core)
    osgi(org.eclipse.mylyn.github.doc)
    osgi(org.eclipse.mylyn.github.ui)



Source checksums
----------------
https://git.eclipse.org/c/egit/eclipse-egit-github.git/snapshot/eclipse-egit-github-2.3.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : d42fe3431089d370667546311adfe9fce737799290786460c5856daacdd53c42
  CHECKSUM(SHA256) upstream package : 6e68002e14736e98c5ed0319ae2067b177c8dbb22e9ef787b73e04441578e278
diff -r also reports differences


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 971554
Comment 3 Neil Brian Guzman 2013-06-07 18:24:39 EDT
Revised version:
Spec URL: http://nguzman.fedorapeople.org/eclipse-egit-github/ver.2/eclipse-egit-github.spec
SRPM URL: http://nguzman.fedorapeople.org/eclipse-egit-github/ver.2/eclipse-egit-github-2.3.0-1.fc18.src.rpm
Description: Create task repositories for working with GitHub issues 
and Gist (more info at http://wiki.eclipse.org/EGit/GitHub/UserGuide)
Fedora Account System Username: nguzman
Comment 6 Alexander Kurtakov 2013-06-10 12:58:43 EDT
APPROVED.
Comment 7 Neil Brian Guzman 2013-06-10 13:09:20 EDT
New Package SCM Request
=======================
Package Name: eclipse-egit-github
Short Description: Create task repositories for working with GitHub issues 
and Gists
Owners: nguzman
Branches: f19
InitialCC: akurtakov
Comment 8 Gwyn Ciesla 2013-06-10 14:16:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.